Mail::Server(3)

NAME
Mail::Server - Base class for email servers in MailBox

INHERITANCE
 Mail::Server
   is a Mail::Reporter

 Mail::Server is extended by
   Mail::Server::IMAP4

SYNOPSIS
 my $server = Mail::Server::IMAP4->new($msg);
 my $server = Mail::Server::POP3->new($msg);

DESCRIPTION
This module is a place-holder, logical in the class hierarchy. On the moment, no full server has been implemented, but some parts of IMAP4 exist.

Servers:

•   Mail::Server::IMAP4

    Partial IMAP4 implementation.

Extends "DESCRIPTION" in Mail::Reporter.

METHODS
Extends "METHODS" in Mail::Reporter.

DETAILS

DIAGNOSTICS

Error: Package $package does not implement $method.
    Fatal error: the specific package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package.

SEE ALSO
This module is part of Mail-Box distribution version 3.008, built on October 04, 2019. Website: http://perl.overmeer.net/CPAN/

LICENSE
Copyrights 2001-2019 by [Mark Overmeer]. For other contributors see ChangeLog.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See http://dev.perl.org/licenses/